// (c) 2014, SAS Institute Inc.

sap.ui.define(['jquery.sap.global', 'sap/ui/core/Core',
    "sap/ui/core/library", // library dependency
    "sas/hc/ui/commons/library", // library dependency
    "sas/hc/m/library", // library dependency
    "sas/ltjs/commons/library" // library dependency
],
    function(jQuery) {
        "use strict";
        /**
         * @namespace
         * @name sas.hc.ui.services.comment
         * @public
         */

        /**
         * @namespace
         * @name sas.hc.ui.services.comment.components
         * @public
         */

        /**
         * @namespace
         * @name sas.hc.ui.services.comment.controller
         * @public
         */

        /**
         * @namespace
         * @name sas.hc.ui.services.comment.petrichor
         * @public
         */

        /**
         * @namespace
         * @name sas.hc.ui.services.comment.petrichor.components
         * @public
         */

        /**
         * @namespace
         * @name sas.hc.ui.services.comment.petrichor.controller
         * @public
         */

        /**
         * @namespace
         * @name sas.hc.ui.services.comment.petrichor.model
         * @public
         */

        /**
         * @namespace
         * @name sas.hc.ui.services.comment.petrichor.pagination
         * @public
         */

        /**
         * @namespace
         * @name sas.hc.ui.services.comment.petrichor.proxy
         * @public
         */

        /**
         * @namespace
         * @name sas.hc.ui.services.comment.petrichor.util
         * @public
         */

        /**
         * @namespace
         * @name sas.hc.ui.services.comment.proxy
         * @public
         */

        // delegate further initialization of this library to the Core
        sap.ui.getCore().initLibrary({
            name : "sas.hc.ui.services.comment",
            dependencies : ["sap.ui.core","sas.hc.ui.commons","sas.hc.m","sas.ltjs.commons"],
            types : [
            ],
            interfaces : [
            ],
            controls : [
                "sas.hc.ui.services.comment.CommentManager",
                "sas.hc.ui.services.comment.components.CommentEntryForm",
                "sas.hc.ui.services.comment.components.CommentListItem",
                "sas.hc.ui.services.comment.controller.CommentManagerController",
                "sas.hc.ui.services.comment.model.Attachment",
                "sas.hc.ui.services.comment.model.Comment",
                "sas.hc.ui.services.comment.model.CommentDataModel",
                "sas.hc.ui.services.comment.model.CommentNode",
                "sas.hc.ui.services.comment.model.TrackComment",
                "sas.hc.ui.services.comment.petrichor.CommentManager",
                "sas.hc.ui.services.comment.petrichor.components.CommentEntryForm",
                "sas.hc.ui.services.comment.petrichor.components.CommentListItem",
                "sas.hc.ui.services.comment.petrichor.components.CommentReplyForm",
                "sas.hc.ui.services.comment.petrichor.controller.CommentManagerController",
                "sas.hc.ui.services.comment.petrichor.model.Attachment",
                "sas.hc.ui.services.comment.petrichor.model.Comment",
                "sas.hc.ui.services.comment.petrichor.model.CommentsInfo",
                "sas.hc.ui.services.comment.petrichor.model.TrackComment",
                "sas.hc.ui.services.comment.petrichor.pagination.CommentsPaginator",
                "sas.hc.ui.services.comment.petrichor.proxy.AbstractServiceProxy",
                "sas.hc.ui.services.comment.petrichor.proxy.CommentPetrichorServiceProxy",
                "sas.hc.ui.services.comment.petrichor.util.AttachmentReader",
                "sas.hc.ui.services.comment.petrichor.util.CommentManagerUtil",
                "sas.hc.ui.services.comment.proxy.AbstractServicesProxy",
                "sas.hc.ui.services.comment.proxy.ServicesProxy",
                "sas.hc.ui.services.comment.util.CommentManagerUtil"
            ],
            elements : [
            ],
            version : "904001.6.0.20231016105100_f0htmcm94p"});

        return sas.hc.ui.services.comment;
    }
);