// (c) 2014, SAS Institute Inc.

/**
 * @namespace
 * @name sas.hc.x
 * @public
 */
sap.ui.define(["sap/ui/core/library", "sas/hc/m/library", "sas/hc/ui/table/library","sap/ui/core/Core"], function(
    coreLib,
    mLib
) {
    // delegate further initialization of this library to the Core
    sap.ui.getCore().initLibrary({
        name: "sas.hc.x",
        dependencies: ["sas.hc.m", "sas.hc.ui.table", "sap.ui.core"],
        types: [],
        interfaces: [],
        controls: [
            "sas.hc.x.Select",
            "sas.hc.x.SelectList",
            "sas.hc.x.SelectListContainer",
            "sas.hc.x.WideTable"
        ],
        elements: [],
        version: "904001.6.0.20231016105100_f0htmcm94p"
    });
    return sas.hc.x;
});
