// (c) 2014, SAS Institute Inc.

sap.ui.define(['jquery.sap.global', 'sap/ui/core/Core',
    "sas/hc/ui/commons/library" // library dependency
],
    function(jQuery) {
        "use strict";

        /**
         * @namespace
         * @name sas.hc.ui.pageableobjectmgr
         * @public
         */

        // library dependencies
        jQuery.sap.require("sas.hc.ui.commons.library");

        // delegate further initialization of this library to the Core
        sap.ui.getCore().initLibrary({
            name : "sas.hc.ui.pageableobjectmgr",
            dependencies : ["sas.hc.ui.commons"],
            types : [
            ],
            interfaces : [
            ],
            controls : [
                "sas.hc.ui.pageableobjectmgr.BaseObjectManagerView",
                "sas.hc.ui.pageableobjectmgr.BaseObjectNavigatorPage",
                "sas.hc.ui.pageableobjectmgr.ButtonGroup",
                "sas.hc.ui.pageableobjectmgr.CustomBar",
                "sas.hc.ui.pageableobjectmgr.CustomIconTabBar",
                "sas.hc.ui.pageableobjectmgr.HeaderDivider",
                "sas.hc.ui.pageableobjectmgr.HeaderGroup",
                "sas.hc.ui.pageableobjectmgr.ListObjectManagerView",
                "sas.hc.ui.pageableobjectmgr.MasonryObjectManagerView",
                "sas.hc.ui.pageableobjectmgr.ObjectContentPage",
                "sas.hc.ui.pageableobjectmgr.ObjectDialog",
                "sas.hc.ui.pageableobjectmgr.ObjectManager",
                "sas.hc.ui.pageableobjectmgr.ObjectManagerMasonry",
                "sas.hc.ui.pageableobjectmgr.ObjectManagerMasonryTile",
                "sas.hc.ui.pageableobjectmgr.ObjectManagerPage",
                "sas.hc.ui.pageableobjectmgr.ObjectManagerTile",
                "sas.hc.ui.pageableobjectmgr.ObjectManagerTileMasonry",
                "sas.hc.ui.pageableobjectmgr.ObjectManagerUtil",
                "sas.hc.ui.pageableobjectmgr.ObjectNavigator",
                "sas.hc.ui.pageableobjectmgr.TableObjectManagerView",
                "sas.hc.ui.pageableobjectmgr.TileObjectManagerView",
                "sas.hc.ui.pageableobjectmgr.ValidationHelper"
            ],
            elements : [
            ],
            version : "904001.6.0.20231016105100_f0htmcm94p"});

        return sas.hc.ui.pageableobjectmgr;
    }
);
