/*
 * Copyright 2014, 2016 SAS Institute Inc.
 * All Rights Reserved.
 *
 */

jQuery.sap.declare("sas.hc.ui.ux3.library");
jQuery.sap.require("sap.ui.core.Core");

/**
 * @namespace
 * @name sas.hc.ui.ux3
 * @public
 */

// library dependencies
jQuery.sap.require("sap.ui.ux3.library");
jQuery.sap.require("sap.ui.core.library");
jQuery.sap.require("sap.ui.commons.library");

// delegate further initialization of this library to the Core
sap.ui.getCore().initLibrary({
    name : "sas.hc.ui.ux3",
    dependencies : ["sap.ui.ux3","sap.ui.core","sap.ui.commons"],
    noLibraryCSS: true,
    types : [
    ],
    interfaces : [
    ],
    controls : [
        "sas.hc.ui.ux3.ActionBar",
        "sas.hc.ui.ux3.Collection",
        "sas.hc.ui.ux3.CollectionInspector",
        "sas.hc.ui.ux3.DataSet",
        "sas.hc.ui.ux3.DataSetItem",
        "sas.hc.ui.ux3.DataSetSimpleView",
        "sas.hc.ui.ux3.Exact",
        "sas.hc.ui.ux3.ExactArea",
        "sas.hc.ui.ux3.ExactAttribute",
        "sas.hc.ui.ux3.ExactBrowser",
        "sas.hc.ui.ux3.ExactList",
        "sas.hc.ui.ux3.FacetFilter",
        "sas.hc.ui.ux3.FacetFilterList",
        "sas.hc.ui.ux3.Feed",
        "sas.hc.ui.ux3.FeedChunk",
        "sas.hc.ui.ux3.Feeder",
        "sas.hc.ui.ux3.NavigationBar",
        "sas.hc.ui.ux3.NavigationItem",
        "sas.hc.ui.ux3.NotificationBar",
        "sas.hc.ui.ux3.Notifier",
        "sas.hc.ui.ux3.Overlay",
        "sas.hc.ui.ux3.OverlayContainer",
        "sas.hc.ui.ux3.OverlayDialog",
        "sas.hc.ui.ux3.QuickView",
        "sas.hc.ui.ux3.Shell",
        "sas.hc.ui.ux3.ThingAction",
        "sas.hc.ui.ux3.ThingGroup",
        "sas.hc.ui.ux3.ThingInspector",
        "sas.hc.ui.ux3.ThingViewer",
        "sas.hc.ui.ux3.ToolPopup"
    ],
    elements : [
    ],
    version : "904001.6.0.20231016105100_f0htmcm94p"});
